#include "errutils.h"
#include "ioutils.h"

#include "stdio.h"

int32 g_error;

int32 g_nerr = 12;

char *g_errList[] = { "Memory allocation failed!",
		      "Null pointer!",
		      "Wrong type of argument!",
		      "Bad array limit!",
		      "Cannot open file!",
		      "Array sizes do no match properly!",
		      "Data read failed (data corrupted)!",
		      "Inter-thread communication error!",
		      "",
		      "Wrong CSR init structure!",
		      "Compare: duplicate items" };

/*
 * Print error message determined by 'g_error'.
 */
void pError( const char *s )
{
  if ((g_error < 0) && (g_error > (-g_nerr)))
  errput( "Error in %s\n  %s\n", s, g_errList[-1-g_error] );
}
