#ifndef _MATRIX_H_
#define _MATRIX_H_

#include "types.h"

#define TypeMatrixCSR 0

typedef void StorageGeneral;

typedef struct {
  int32 row;
  int32 col;
  float64 val;
} MItem;

typedef struct {
  uint32 type;
  int32 nCol;
  int32 nRow;
  int32 nItem;
  int32 nAlloc;
  StorageGeneral *data;
} Matrix;

Matrix *allocMatrix();
void freeMatrix( Matrix *m );

int compareMItem( const void *item1, const void *item2 );

#endif
