function savesparse( a, filename, sym )

file = fopen( filename, 'wt' );

nRow = size( a, 1 );
nCol = size( a, 2 );
n = nnz( a );

fprintf( file, '%d ', nCol );
fprintf( file, '%d\n', nRow );
fprintf( file, '%d\n', n );

[i j] = find( a );
aa = nonzeros( a );
if sym == 1
  for k = 1:n
    if i(k) >= j(k)
      fprintf( file, '%d %d %.12e\n', i(k)-1, j(k)-1, aa(k) );
    end
  end
else
%  fprintf( file, '%d %d %.12e\n', [i(:)-1, j(:)-1, aa(:)]' );
  fprintf( file, '%d %d %d\n', [i(:)-1, j(:)-1, aa(:)]' );
end
fclose( file );
