#ifndef _ERRUTILS_H_
#define _ERRUTILS_H_

#include "types.h"

/*
 * General errors.
 */
#define ErrorAlloc -1
#define ErrorNullPointer -2
#define ErrorWrongType -3
#define ErrorBadLimit -4
#define ErrorFileOpen -5
#define ErrorBadMatch -6
#define ErrorDataRead -7
#define ErrorITC -8

/*
 * CSR Matrix related erros.
 */
#define ErrorRowInit -10
#define ErrorCompare -11
/*#define ErrorStorageOverflow -101*/

extern int32 g_error;
extern int32 g_nerr;
extern char *g_errList[];

void pError( const char *s );

#endif
